/***************************************************************************
 * trackbarlineview.h: implementation of TrackBarLineView class
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2003-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TRACKBARLINEVIEW_H
#define TRACKBARLINEVIEW_H

#include <QVector>

#include "drawingitem.h"

class Cm;
class QPointCm;
class QCanvasLineCm;

class TrackBarLineView : public DrawingItem
{
public:
	TrackBarLineView(uint strings, const Cm& height, uint dpi);
	virtual ~TrackBarLineView();
	
	virtual void setBarLength(const Cm& length);
	virtual Cm barLength() const;
	
	virtual void hide();
	virtual void show();
	
	virtual Cm lineSpace() const;
	
	virtual QRectCm boundingRect() const;
	virtual Cm height() const;
	virtual Cm width() const;
private:
	const uint nbStrings;
	const Cm lineSpaces;
	Cm mBarLength;
	QVector<QCanvasLineCm*> mLines;
};

#endif
